Wallet

Get transaction history for a non-custodial address

AuthBearer (JWT)
GroupWallet
Rate limitSee Rate Limits
GET/api/wallet/non-custodial/addresses/{addressId}/transactions

SDK setup

Create a client and set credentials (JWT and/or API key) before calling the API. Match the authentication type shown above.

import { Configuration, WalletApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const wallet = new WalletApi(configuration);
import { Configuration, WalletApi } from 'mudbase-sdk';

const configuration = new Configuration({
  basePath: 'https://cloud.mudbase.dev',
  accessToken: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJ1c3JfbW9yZ2FuX2RlIiwiZW1haWwiOiJtb3JnYW4uY2hlbkBub3J0aHdpbmQuZGV2IiwiZXhwIjoxODI1MTI5NjAwfQ.doc_preview_sig',
});

const wallet = new WalletApi(configuration);

Example request

Call this endpoint using the client from SDK setup. Use View HTTP for a raw cURL example.

const { data: result } = await wallet.getNonCustodialTransactions("14972 Aspen Close");
const { data: result } = await wallet.getNonCustodialTransactions("14972 Aspen Close");

Playground

live

Test this endpoint with your own credentials. Your requests will be sent to the live API.

Use the auth endpoints to obtain a JWT.

No Request Yet

Send a request to see the full inspector

Authentication

Requires JWT
Note
Include your JWT in the Authorization: Bearer YOUR_TOKEN header (user-facing apps, RBAC). View authentication guide →

Path Parameters

NameTypeRequiredDescription
addressIdstringYes

Query Parameters

NameTypeRequiredDescription
limitintegerNo
pageintegerNo

Responses

200Transaction history
json
{
  "success": true,
  "data": [
    {
      "_id": "65a1b2c3d4e5f6789012345b",
      "txHash": "0xabc123def4567890123456789012345678901234567890123456789012345678",
      "address": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
      "chain": "ethereum",
      "from": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
      "to": "0xdef4567890123456789012345678901234567890",
      "amount": "0.1",
      "currency": "ETH",
      "status": "completed",
      "mainTxStatus": "confirmed",
      "confirmations": 12,
      "blockNumber": 12345678,
      "networkFee": "0.00021",
      "mainTxConfirmedAt": "2026-01-22T10:00:00.000Z",
      "tokenTransfers": [
        {
          "tokenAddress": "0x48065fbbe25f71c9282ddf5e1cd6d6a887483d5e",
          "from": "0x1194d844f5c5a9adc488835e1f506dafbb579341",
          "to": "0x000000000000000000000000000000000ce106a5",
          "value": "80",
          "formattedAmount": "0.000076",
          "tokenSymbol": "USD₮",
          "tokenDecimals": 6,
          "isIncoming": true
        }
      ],
      "createdAt": "2026-01-22T10:00:00.000Z"
    }
  ],
  "pagination": {
    "page": 1,
    "limit": 50,
    "count": 1,
    "total": 100,
    "totalPages": 2,
    "hasNextPage": true,
    "hasPreviousPage": false
  }
}
{
  "success": true,
  "data": [
    {
      "_id": "65a1b2c3d4e5f6789012345b",
      "txHash": "0xabc123def4567890123456789012345678901234567890123456789012345678",
      "address": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
      "chain": "ethereum",
      "from": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
      "to": "0xdef4567890123456789012345678901234567890",
      "amount": "0.1",
      "currency": "ETH",
      "status": "completed",
      "mainTxStatus": "confirmed",
      "confirmations": 12,
      "blockNumber": 12345678,
      "networkFee": "0.00021",
      "mainTxConfirmedAt": "2026-01-22T10:00:00.000Z",
      "tokenTransfers": [
        {
          "tokenAddress": "0x48065fbbe25f71c9282ddf5e1cd6d6a887483d5e",
          "from": "0x1194d844f5c5a9adc488835e1f506dafbb579341",
          "to": "0x000000000000000000000000000000000ce106a5",
          "value": "80",
          "formattedAmount": "0.000076",
          "tokenSymbol": "USD₮",
          "tokenDecimals": 6,
          "isIncoming": true
        }
      ],
      "createdAt": "2026-01-22T10:00:00.000Z"
    }
  ],
  "pagination": {
    "page": 1,
    "limit": 50,
    "count": 1,
    "total": 100,
    "totalPages": 2,
    "hasNextPage": true,
    "hasPreviousPage": false
  }
}
401
404
429

Errors

CodeMeaning
401
404
429
Edit this page on GitHub